Loading...
Searching...
No Matches
reaction.h File Reference

Defines classes for representing and managing nuclear reactions. More...

`#include <ranges>`
`#include <string_view>`
`#include "fourdst/atomic/atomicSpecies.h"`
`#include "fourdst/logging/logging.h"`
`#include "quill/Logger.h"`
`#include <unordered_map>`
`#include <vector>`
`#include <unordered_set>`
`#include "cppad/cppad.hpp"`
`#include "fourdst/composition/composition.h"`
Include dependency graph for reaction.h:
This graph shows which files directly or indirectly include this file:

## Classes

struct | gridfire::reaction::RateCoefficientSet
| Holds the seven coefficients for the REACLIB rate equation. More...
class | gridfire::reaction::Reaction
| Represents a single nuclear reaction from a specific data source. More...
class | gridfire::reaction::ReaclibReaction
class | gridfire::reaction::WeakReaclibReaction
class | gridfire::reaction::LogicalReaclibReaction
| Represents a "logical" reaction that aggregates rates from multiple sources. More...
class | gridfire::reaction::ReactionSet

## Namespaces

namespace | gridfire
namespace | gridfire::reaction

## Enumerations

enum class | gridfire::reaction::ReactionType { gridfire::reaction::WEAK , gridfire::reaction::REACLIB , gridfire::reaction::REACLIB_WEAK , gridfire::reaction::LOGICAL_REACLIB , gridfire::reaction::LOGICAL_REACLIB_WEAK }

## Functions

bool | gridfire::reaction::reaction_is_weak (const Reaction &reaction)
ReactionSet | gridfire::reaction::packReactionSet (const ReactionSet &reactionSet)

## Variables

static std::unordered_map< ReactionType, std::string > | gridfire::reaction::ReactionTypeNames
static std::unordered_map< ReactionType, std::string > | gridfire::reaction::ReactionPhysicalTypeNames

## Detailed Description

Defines classes for representing and managing nuclear reactions.

This file contains the core data structures for handling nuclear reactions, including individual reactions from specific sources (`Reaction`), collections of reactions (`ReactionSet`), and logical reactions that aggregate rates from multiple sources (`LogicalReaclibReaction`, `LogicalReactionSet`).